#
# spec file for package prboom-plus
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           prboom-plus
Version:        2.5.1.4~test4355
Release:        0
Summary:        Open source port of the DOOM game engine
License:        GPL-2.0+
Group:          Amusements/Games/3D/Shoot
Url:            http://prboom-plus.sourceforge.net/

#SVN-Clone:	http://crowproductions.de/repos/prboom/branches/prboom-plus-24/prboom2/
#Freecode-URL:	http://freecode.com/projects/prboom-plus
#DL-URL:	http://downloads.sf.net/prboom-plus/prboom-plus-2.5.1.3.tar.gz
Source:         %name.tar.xz
Patch1:         prboom-nodatetime.diff
Patch2:         prboom-types1.diff
Patch3:         prboom-types2.diff
Patch5:         prboom-enable-tessellation.diff
Patch6:         prboom-hbar-color.diff
Patch7:         prboom-hbar-all.diff
Patch8:         prboom-hbar-gradient.diff
Source2:        clean_source.sh
BuildRequires:  Mesa-devel
BuildRequires:  automake
BuildRequires:  fluidsynth-devel
BuildRequires:  libSDL_image-devel
BuildRequires:  libSDL_mixer-devel
BuildRequires:  libSDL_net-devel
BuildRequires:  libpng-devel
BuildRequires:  libvorbis-devel
BuildRequires:  pcre-devel
BuildRequires:  xz
Suggests:       freedoom
Provides:       prboom > 2.5.0
Obsoletes:      prboom <= 2.5.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PrBoom+ is a Doom source port developed from the original PrBoom
project.

prboom is an open-source port of Doom, the classic 3D first-person
shooter game. It totally outclassed any 3D world games that preceded
it, with amazing speed, flexibility, and outstanding gameplay. The
specs to the game were released, and thousands of extra levels were
written by fans of the game; even today new levels are written for
Doom faster then any one person could play them.

The target of the prboom-plus project is to extend the original port
with features that are necessary or useful to the developers and all
those interested in their work. It is worth noting that all changes
introduced in no way break PrBoom's compatibility with the original
Doom/Doom2 engines, and it is possible to be confident this will
never happen in the future since compatibility is as important.

%prep
%setup -qn prboom2
%patch -P 1 -P 2 -P 3 -P 5 -P 6 -P 7 -P 8 -p1

%build
./bootstrap;
# rpm has its own optimizations, so turn off shipped defaults
%configure --enable-gl --disable-cpu-opt --program-prefix='' \
	--with-waddir=%_datadir/doom --disable-dogs
make %{?_smp_mflags}

%install
b="%buildroot";
make install DESTDIR="$b";
# Will manually package docs (see %%files)
rm -Rf "$b/%_datadir/doc";
mkdir -p "$b/%_bindir";
mv "$b/%_prefix/games"/* "$b/%_bindir/";
# Convenience symlink
ln -s prboom-plus "$b/%_bindir/prboom";

%post
echo "INFO: %name: The global IWAD directory is %_datadir/doom.";

%files
%defattr(-,root,root)
%doc NEWS AUTHORS README
%doc doc/MBF.txt doc/MBFFAQ.txt doc/README.compat doc/README.demos doc/boom.txt
%_bindir/*
%_datadir/doom
%_mandir/*/*

%changelog
